---
search:
  tags:
    - database-services
    - POST
seo:
  description: >-
    Run pre-create prerequisite checks on candidate… Reference for the POST
    /api/v1/database-services/preflight endpoint in the TimescaleDB Enterprise
    API.
sidebar:
  label: Run pre-create checks
  badge: POST
title: Run pre-create checks
type: openapi-operation
---
Run pre-create prerequisite checks on candidate servers (advisory).

`POST /api/v1/database-services/preflight`

**Request body** (`application/json`, required)

- `backup_server_id` (string)
- `data_dir` (string)
- `server_ids` (string[], required)
- `topology` (string)
- `vip` (string)

Request body example:

```json
{
  "backup_server_id": "string",
  "data_dir": "string",
  "server_ids": [
    "string"
  ],
  "topology": "single_node",
  "vip": "string"
}
```

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "servers": [
    {
      "checks": [
        {
          "check": "string",
          "detail": "string",
          "status": "pass"
        }
      ],
      "role": "string",
      "server_id": "string",
      "server_name": "string"
    }
  ]
}
```
